[youtubei.js](../../../README.md) / [Types](../README.md) / SearchFilters

# Type Alias: SearchFilters

> **SearchFilters**: `object`

## Type declaration

### duration?

> `optional` **duration**: [`Duration`](Duration.md)

### features?

> `optional` **features**: [`Feature`](Feature.md)[]

### sort\_by?

> `optional` **sort\_by**: [`SortBy`](SortBy.md)

### type?

> `optional` **type**: [`SearchType`](SearchType.md)

### upload\_date?

> `optional` **upload\_date**: [`UploadDate`](UploadDate.md)

## Defined in

[src/types/Misc.ts:12](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/types/Misc.ts#L12)
